# Uses of Enum Class
net.shibboleth.idp.attribute.impl.ComputedPairwiseIdStore.Encoding

Packages that use ComputedPairwiseIdStore.Encoding
Package
Description
net.shibboleth.idp.attribute.impl
Implementations of general attribute functionality.

## Uses of ComputedPairwiseIdStore.Encoding in net.shibboleth.idp.attribute.impl

Fields in net.shibboleth.idp.attribute.impl declared as ComputedPairwiseIdStore.Encoding
Modifier and Type
Field
Description
`private ComputedPairwiseIdStore.Encoding`
ComputedPairwiseIdStore.`encoding`
The encoding to apply to the digest.
Methods in net.shibboleth.idp.attribute.impl that return ComputedPairwiseIdStore.Encoding
Modifier and Type
Method
Description
`ComputedPairwiseIdStore.Encoding`
ComputedPairwiseIdStore.`getEncoding()`
Get the post-digest encoding to use.
`static ComputedPairwiseIdStore.Encoding`
ComputedPairwiseIdStore.Encoding.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ComputedPairwiseIdStore.Encoding[]`
ComputedPairwiseIdStore.Encoding.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in net.shibboleth.idp.attribute.impl with parameters of type ComputedPairwiseIdStore.Encoding
Modifier and Type
Method
Description
`void`
ComputedPairwiseIdStore.`setEncoding(ComputedPairwiseIdStore.Encoding enc)`
Set the post-digest encoding to use.